Skip to content

getTrainings

READ

Get trainings.

POST /api/v1/resources/getTrainings
curl -X POST '<your-host>/api/v1/resources/getTrainings' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "search": "string"
  }'
Response
{
  "results": [
    {
      "assignee": "string",
      "companyId": "string",
      "description": "string",
      "estimatedDuration": "string",
      "frequency": "Quarterly",
      "grantsAbilityId": "string",
      "grantsAbilityName": "string",
      "id": "string",
      "name": "string",
      "status": "Draft",
      "tags": [
        "string"
      ],
      "type": "Mandatory",
      "version": 0,
      "versions": "…"
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "search": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "object",
          "properties": {
            "limit": {
              "type": "integer",
              "default": 100
            },
            "offset": {
              "type": "integer",
              "default": 0
            }
          }
        }
      ]
    }
  },
  "required": [
    "search"
  ]
}